package org.nl.acs.device_driver.basedriver.agv.magic_agv;

import lombok.extern.slf4j.Slf4j;
import org.nl.acs.device.domain.Device;
import org.nl.acs.device_driver.DeviceDriver;
import org.nl.acs.device_driver.DeviceDriverDefination;
import org.nl.acs.device_driver.driver.AbstractDeviceDriver;
import org.springframework.stereotype.Service;

/**
 * 普通站点
 */
@Slf4j
@Service
public class MagicAgvDeviceDriver extends AbstractDeviceDriver implements DeviceDriver {
    @Override
    public Device getDevice() {
        return null;
    }

    @Override
    public DeviceDriverDefination getDriverDefination() {
        return null;
    }

    @Override
    public DeviceDriver setDriverDefination(DeviceDriverDefination var1) {
        return null;
    }


}
